import { BIZ_MES_WO } from "./mesModel";

export interface MES_ROUTE {
  ID: string;
  CREATE_TIME: Date;
  CREATE_USER: string;
  UPDATE_TIME: Date;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  ROT_CODE: string;
  ROT_NAME: string;
  ROT_TYPE: number;
  ROT_VER: number;
  WORK_ORDER: string;
  PROD_CODE: string;
  CUST_CODE: string;
  IS_ACTIVE: string;
  REMARK: string;
}

export interface MES_ROUTE_NODE {
  ID: string;
  CREATE_TIME: Date;
  CREATE_USER: string;
  UPDATE_TIME: Date;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  NODE_NAME: string;
  ROT_ID: string;
  WORK_ORDER: string;
  PROD_CODE: string;
  CUST_CODE: string;
  SEGMENT: string;
  OPER_CODE: string;
  GPH_TYPE: string;
  GPH_X: number;
  GPH_Y: number;
  GPH_PROP: string;
  GPH_TEXT: string;
  IS_ACTIVE: string;
  IS_FIRST_NODE: string;
  IS_CALC_FPY: string;
  CAN_SKIP: string;
  ALLOW_DFT_IN: string;
  IS_INPUT: string;
  IS_OUTPUT: string;
  OPTION_1: string;
  OPTION_2: string;
  OPTION_3: string;
  OPTION_4: string;
  OPTION_5: string;
  REMARK: string;
  node: node;
}

export interface MES_ROUTE_EDGE {
  ID: string;
  CREATE_TIME: Date;
  CREATE_USER: string;
  UPDATE_TIME: Date;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  EDGE_NAME: string;
  ROT_ID: string;
  WORK_ORDER: string;
  PROD_CODE: string;
  CUST_CODE: string;
  SRC_NODE: string;
  TGT_NODE: string;
  GPH_TYPE: string;
  GPH_SRC_X: number;
  GPH_SRC_Y: number;
  GPH_TGT_X: number;
  GPH_TGT_Y: number;
  GPH_PROP: string;
  GPH_POTS: string;
  EDGE_TYPE: number;
  OPTION_1: string;
  OPTION_2: string;
  OPTION_3: string;
  OPTION_4: string;
  OPTION_5: string;
  REMARK: string;
  edge: edge;
}

export interface MES_ROUTE_NODE_ACT {
  ID: string;
  CREATE_TIME: Date;
  CREATE_USER: string;
  UPDATE_TIME: Date;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  ACT_NAME: string;
  ROT_ID: string;
  WORK_ORDER: string;
  PROD_CODE: string;
  CUST_CODE: string;
  NODE_ID: string;
  ACT_CODE: string;
  ACT_TYPE: number;
  GPH_TYPE: string;
  GPH_X: number;
  GPH_Y: number;
  GPH_PROP: string;
  GPH_TEXT: string;
  NEED_SETUP: string;
  NEED_RESET: string;
  // DO_TYPE: number;
  // DO_METHOD: string;
  // DO_IF_PASS: string;
  // DO_IF_FAIL: string;
  IS_ACTIVE: string;
  // RULE_CODE: string;
  // ITEM_CODE: string;
  // PROD_CODE: string;
  // TEST_CODE: string;
  // SAPL_CODE: string;
  // LABEL_CODE: string;
  OPTION_1: string;
  OPTION_2: string;
  OPTION_3: string;
  OPTION_4: string;
  OPTION_5: string;
  REMARK: string;
  node: node;
}

export interface node {
  id: string;
  type: string;
  x: number;
  y: number;
  properties: {};
  text: nodeText;
}

export interface edge {
  id: string;
  type: string;
  sourceNodeId: string;
  targetNodeId: string;
  startPoint: point;
  endPoint: point;
  properties: {};
  pointsList: point[];
}

export interface point {
  x: number;
  y: number;
}

export interface nodeText {
  x: number;
  y: number;
  value: string;
}

export interface RouteData {
  route: MES_ROUTE;
  nodes: MES_ROUTE_NODE[];
  edges: MES_ROUTE_EDGE[];
  acts: MES_ROUTE_NODE_ACT[];
}

export interface MES_ROUTE_NODE_POST {
	NODE_ID: string;
	POST_CODE: string;
}

export interface V_MES_ROUTE_PTREE {
	pid: string;
	tid: string;
	id: string;
	code: string;
	name: string;
	type: string;
	seq: number;
}

export interface V_MES_WO_PTREE {
	pid: string;
	tid: string;
	id: string;
	wo: string;
	prod: string;
	cust: string;
	code: string;
	name: string;
	type: string;
	seq: number;
}






